%--------------------------------------------------------------------------
% File     : GRP003=SubGr1Subs-1 : TPTP v1.2.0. Bugfixed v1.0.0.
% Domain   : Group Theory (Subgroups)
% Axioms   : Substitution axioms for subgroup axioms
% Version  : [McCharen, et al., 1976] axioms.
% English  : 

% Refs     : McCharen J.D., Overbeek R.A., Wos L.A. (1976), Problems and 
%            Experiments for and with Automated Theorem Proving Programs, 
%            IEEE Transactions on Computers C-25(8), 773-782.
%          : Wos L. (1988), Automated Reasoning: 33 Basic Research 
%            Problems, Prentice-Hall.
% Source   : [McCharen, et al., 1976]
% Names    : 

% Status   : 
% Syntax   : Number of clauses           :    1 (   0 non-Horn)(   0 unit)
%            Number of literals          :    3 (   1 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    2 (   0 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    2 (   0 singleton)
%            Maximal term depth          :    1

% Comments : To be used in conjunction with group theory axioms.
%          : These axioms are used in [Wos, 1988, p.187]
%--------------------------------------------------------------------------
input_clause(subgroup_member_substitution,axiom,
    [--equal(A,B),
     --subgroup_member(A),
     ++subgroup_member(B)]).
%--------------------------------------------------------------------------
