%--------------------------------------------------------------------------
% File     : SYN098=DAPsymut3-1.SIZE : TPTP v1.2.0. Bugfixed v1.1.4.
% Domain   : Syntactic
% Problem  : Plaisted problem sym(u(t(3,SIZE)))
% Version  : 
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : Sym(U(T3n)) [Plaisted, 1994]

% Status   : STATUS
% Syntax   : Number of clauses           : CLSS (NNHN non-Horn)(UNIT unit)
%            Number of literals          : LITS (EQLS equality)
%            Maximal clause size         : CLSZ
%            Number of predicate symbols : PRED (PROP propositional)
%            Number of function symbols  : FUNC (CNST constant)
%            Number of variables         : VARS (SGTN singleton)
%            Maximal term depth          : TMDP

% Comments : 
% Bugfixes : v1.1.4 - Bugfix in SYN086-1.
%--------------------------------------------------------------------------
%----Include Plaisted problem sym(s(2,SIZE))
:-tptp2X_include('Generators/SYN091-1.g').
%----Include Plaisted problem u(t(3,SIZE))
:-tptp2X_include('Generators/SYN094-1.g').
%--------------------------------------------------------------------------
'SYN098-1'(Size,Clauses,unsatisfiable):-
    integer(Size),
    'SYN094-1'(Size,UTClauses,_),
    'SYN091-1_sym_transform'(UTClauses,Clauses).
%--------------------------------------------------------------------------
%----Provide information about the SYN098-1 generator
'SYN098-1_file_information'(generator,sizes(X,(X>=1)),sota(2)).
%--------------------------------------------------------------------------
