%--------------------------------------------------------------------------
% File     : BOO001=B3InvIvln-1 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Boolean Algebra (Ternary)
% Problem  : In B3 algebra, inverse is an involution
% Version  : [OTTER] (equality) axioms.
% English  : 

% Refs     : 
% Source   : [OTTER]
% Names    : tba_gg.in [OTTER]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :   13 (   0 non-Horn)(   7 unit)
%            Number of literals          :   20 (  20 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    3 (   1 constant)
%            Number of variables         :   33 (   2 singleton)
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include ternary Boolean algebra axioms 
include('Axioms/BOO001-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_inverse_is_self_cancelling,theorem,
    [--equal(inverse(inverse(a)),a)]).
%--------------------------------------------------------------------------
