%--------------------------------------------------------------------------
% File     : BOO010=AddAbsb-2 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Boolean Algebra
% Problem  : Addition absorbtion (X + (X * Y) = X)
% Version  : [ANL] (equality) axioms.
% English  : 

% Refs     : 
% Source   : [ANL]
% Names    : prob4_part2.ver2.in [ANL]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :   23 (   0 non-Horn)(  16 unit)
%            Number of literals          :   31 (  31 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    7 (   4 constant)
%            Number of variables         :   44 (   0 singleton)
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms for equality formulation 
include('Axioms/BOO003-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_a_plus_ab_is_a,theorem,
    [--equal(add(a,multiply(a,b)),a)]).
%--------------------------------------------------------------------------
