%--------------------------------------------------------------------------
% File     : CAT011=DomIdem-2 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Category Theory
% Problem  : domain(domain(x)) = domain(x)
% Version  : [Quaife, 1989] (equality) axioms.
% English  : 

% Refs     : Quaife A. (1989), Email to Larry Wos 05/02/89.
% Source   : [ANL]
% Names    : p11.ver2.in [ANL]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :   15 (   0 non-Horn)(   6 unit)
%            Number of literals          :   26 (  26 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    4 (   1 constant)
%            Number of variables         :   27 (   0 singleton)
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Quaife's axioms for category theory 
include('Axioms/CAT002-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_domain_is_idempotent,theorem,
    [--equal(domain(domain(a)),domain(a))]).
%--------------------------------------------------------------------------
