%--------------------------------------------------------------------------
% File     : COL079=TRC2a-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Combinatory Logic
% Problem  : Abst(Abst(Abst X)) = Abst X
% Version  : [Jech, 1994] (equality) axioms.
% English  : 

% Refs     : Jech T. (1994), Otter Experiments in a System of Combinatory 
%            Logic, Unpublished.
% Source   : [Jech, 1994]
% Names    : Proposition 2a [Jech, 1994]

% Status   : unknown
% Syntax   : Number of clauses           :   21 (   1 non-Horn)(  10 unit)
%            Number of literals          :   33 (  33 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    9 (   5 constant)
%            Number of variables         :   44 (   3 singleton)
%            Maximal term depth          :    4

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms of Type-respecting combinators 
include('Axioms/COL001-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_TRC2a,theorem,
    [--equal(apply(abstraction,apply(abstraction,apply(abstraction,b))),
apply(abstraction,b))]).
%--------------------------------------------------------------------------
