%--------------------------------------------------------------------------
% File     : GRP043=EqTrans-2 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : Transitivity is dependent
% Version  : [Veroff, 1992] axioms.
% English  : 

% Refs     : Veroff R. (1992), Email to Geoff Sutcliffe.
% Source   : [Veroff, 1992]
% Names    : - [Veroff, 1992]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :   10 (   0 non-Horn)(   6 unit)
%            Number of literals          :   20 (   5 equality)
%            Maximal clause size         :    4
%            Number of predicate symbols :    2 (   0 propositional)
%            Number of function symbols  :    6 (   4 constant)
%            Number of variables         :   24 (   0 singleton)
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include Veroff's minimal axiom set 
include('Axioms/GRP005-0.ax').
%--------------------------------------------------------------------------
input_clause(a_equals_b,hypothesis,
    [++equal(a,b)]).

input_clause(b_equals_c,hypothesis,
    [++equal(b,c)]).

input_clause(prove_transitivity,theorem,
    [--equal(a,c)]).
%--------------------------------------------------------------------------
