%--------------------------------------------------------------------------
% File     : GRP046=MultSubs1-2 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : Multiply substitution 1 is dependent
% Version  : [Veroff, 1992] axioms.
% English  : 

% Refs     : Veroff R. (1992), Email to Geoff Sutcliffe.
% Source   : [Veroff, 1992]
% Names    : - [Veroff, 1992]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    9 (   0 non-Horn)(   5 unit)
%            Number of literals          :   19 (   4 equality)
%            Maximal clause size         :    4
%            Number of predicate symbols :    2 (   0 propositional)
%            Number of function symbols  :    6 (   4 constant)
%            Number of variables         :   24 (   0 singleton)
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
%----Include Veroff's minimal axiom set 
include('Axioms/GRP005-0.ax').
%--------------------------------------------------------------------------
input_clause(a_equals_b,hypothesis,
    [++equal(a,b)]).

input_clause(prove_multiply_substitution1,theorem,
    [--equal(multiply(a,c),multiply(b,c))]).
%--------------------------------------------------------------------------
