%--------------------------------------------------------------------------
% File     : LCL230=PropEqn2.85-2 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Logic Calculi (Propositional)
% Problem  : Principia Mathematica 2.85
% Version  : [Pelletier, 1986] axioms.
% English  : Judged by [Siklossy, et al., 1973] to be the 'hardest' of the 
%            first 67 theorems of [Whitehead & Russell, 1927].

% Refs     : Whitehead A.N. and Russell B. (1927), Principia Mathematica, 
%            Volume 1, 2nd Edition, Cambridge United Press, Cambridge, 
%            England.
%          : Siklossy L., Rich A., Marinov V. (1973), Breadth First 
%            Search: Some Surprising Results, Artificial Intelligence 
%            4, 1-27.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 5 [Pelletier, 1986]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    4 (   1 non-Horn)(   3 unit)
%            Number of literals          :    6 (   0 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    3 (   3 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal term depth          :    0

% Comments : 
% Bugfixes : v1.1.1 - Renamed from SYN043-1.
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--q,++p,++r]).

input_clause(clause_2,theorem,
    [--p]).

input_clause(clause_3,theorem,
    [++q]).

input_clause(clause_4,theorem,
    [--r]).
%--------------------------------------------------------------------------
