%--------------------------------------------------------------------------
% File     : SET054=SubCRefl-6 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Subclass is reflexive
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : 

% Status   : unsatisfiable
% Syntax   : Number of clauses           :  160 (   8 non-Horn)(  31 unit)
%            Number of literals          :  333 ( 160 equality)
%            Maximal clause size         :    5
%            Number of predicate symbols :   10 (   0 propositional)
%            Number of function symbols  :   39 (   9 constant)
%            Number of variables         :  379 (  26 singleton)
%            Maximal term depth          :    6

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_subclass_is_reflexive_1,theorem,
    [--subclass(x,x)]).
%--------------------------------------------------------------------------
