%--------------------------------------------------------------------------
% File     : SET078=SgtnSetCor1-6 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Corollary to every singleton is a set
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Syntax   : Number of clauses           :  160 (   8 non-Horn)(  31 unit)
%            Number of literals          :  333 ( 160 equality)
%            Maximal clause size         :    5
%            Number of predicate symbols :   10 (   0 propositional)
%            Number of function symbols  :   40 (  10 constant)
%            Number of variables         :  379 (  26 singleton)
%            Maximal term depth          :    6

% Comments : Not in [Quaife, 1992]. Corollary to SS1 in Quaife's 
%            collection.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_corollary_1_to_singletons_are_sets_1,theorem,
    [--member(singleton(y),unordered_pair(x,singleton(y)))]).
%--------------------------------------------------------------------------
