%--------------------------------------------------------------------------
% File     : SET094=SgtnEqn1-6 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Property 1 of singleton sets
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : SS10 [Quaife, 1992]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :  163 (   8 non-Horn)(  33 unit)
%            Number of literals          :  337 ( 164 equality)
%            Maximal clause size         :    5
%            Number of predicate symbols :   10 (   0 propositional)
%            Number of function symbols  :   41 (  10 constant)
%            Number of variables         :  381 (  26 singleton)
%            Maximal term depth          :    6

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
input_clause(member_of_substitution1,axiom,
    [--equal(A,B),
     ++equal(member_of(A),member_of(B))]).

input_clause(prove_property_of_singletons1_1,theorem,
    [++equal(singleton(member_of(x)),x)]).

input_clause(prove_property_of_singletons1_2,theorem,
    [++member(y,x)]).

input_clause(prove_property_of_singletons1_3,theorem,
    [--equal(member_of(x),y)]).
%--------------------------------------------------------------------------
