%--------------------------------------------------------------------------
% File     : SET104=OrdPrEl2-6 : TPTP v1.2.0. Bugfixed v1.2.1.
% Domain   : Set Theory
% Problem  : Special member 2 of an ordered pair
% Version  : [Quaife, 1992] axioms.
% English  : 

% Refs     : Quaife A. (1992), Automated Deduction in von 
%            Neumann-Bernays-Godel Set Theory, In Journal of Automated 
%            Reasoning 8(1), 91-147.
% Source   : [Quaife]
% Names    : 

% Status   : unknown
% Syntax   : Number of clauses           :  161 (   8 non-Horn)(  32 unit)
%            Number of literals          :  334 ( 161 equality)
%            Maximal clause size         :    5
%            Number of predicate symbols :   10 (   0 propositional)
%            Number of function symbols  :   40 (  10 constant)
%            Number of variables         :  379 (  26 singleton)
%            Maximal term depth          :    6

% Comments : 
%          : tptp2X: SET104-6.p
% Bugfixes : v1.2.1 - Clause prove_property_2_of_ordered_pair_1 removed.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
%----This is not in the version in [Quaife, 1992]
% input_clause(prove_property_2_of_ordered_pair_1,theorem,
%     [++member(y,universal_class)]).

input_clause(prove_property_2_of_ordered_pair_2,theorem,
    [--equal(unordered_pair(null_class,singleton(singleton(y))),
ordered_pair(x,y))]).

input_clause(prove_property_2_of_ordered_pair_3,theorem,
    [--member(x,universal_class)]).
%--------------------------------------------------------------------------
