%--------------------------------------------------------------------------
% File     : SYN011=CRdcn-1 : TPTP v1.2.0. Released v1.1.0.
% Domain   : Syntactic
% Problem  : A problem to demonstrate C-reduction
% Version  : 
% English  : 

% Refs     : Shostak R.E. (1976), Refutation Graphs, Artificial 
%            Intelligence 7, 51-64.
% Source   : [Shostak, 1976]
% Names    : Problem for C Reduction [Shostak, 1976]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    8 (   2 non-Horn)(   1 unit)
%            Number of literals          :   17 (   0 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    7 (   7 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--n,--t]).

input_clause(clause_2,theorem,
    [++m,++q,++n]).

input_clause(clause_3,theorem,
    [++l,--m]).

input_clause(clause_4,theorem,
    [++l,--q]).

input_clause(clause_5,theorem,
    [--l,--p]).

input_clause(clause_6,theorem,
    [++r,++p,++n]).

input_clause(clause_7,theorem,
    [--r,--l]).

input_clause(clause_8,theorem,
    [++t]).
%--------------------------------------------------------------------------
