%--------------------------------------------------------------------------
% File     : SYN031=MQW-1 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : MQW
% Version  : 
% English  : 

% Refs     : Michie D., Ross R. and Shannan G.J. (1972), G-deduction, 
%            Machine Intelligence 7, Edinburgh University Press, 141-165.
%          : Wilson G.A. and Minker J. (1976), Resolution, Refinements, 
%            and Search Strategies: A Comparative Study, IEEE Transactions 
%            on Computers C-25(8), 782-801.
% Source   : [SPRFN]
% Names    : MQW [Michie, et al., 1972]
%          : MQW [Wilson & Minker, 1976]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    5 (   2 non-Horn)(   0 unit)
%            Number of literals          :   10 (   0 equality)
%            Maximal clause size         :    2
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    2 (   1 constant)
%            Number of variables         :    8 (   3 singleton)
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause1,axiom,
    [++g(A,a),
     ++g(f(A),A)]).

input_clause(clause2,axiom,
    [++g(A,a),
     ++g(A,f(A))]).

input_clause(clause3,axiom,
    [--g(A,B),
     ++g(f(B),B)]).

input_clause(clause4,axiom,
    [--g(A,B),
     ++g(B,f(B))]).

input_clause(theorem,theorem,
    [--g(A,B),
     --g(B,a)]).
%--------------------------------------------------------------------------
