%--------------------------------------------------------------------------
% File     : SYN045=FPell13-1 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 13
% Version  : 
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 13 [Pelletier, 1986]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    4 (   2 non-Horn)(   1 unit)
%            Number of literals          :    7 (   0 equality)
%            Maximal clause size         :    2
%            Number of predicate symbols :    3 (   3 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [++p,++q]).

input_clause(clause_2,theorem,
    [++p,++r]).

input_clause(clause_3,theorem,
    [--p]).

input_clause(clause_4,theorem,
    [--q,--r]).
%--------------------------------------------------------------------------
