%--------------------------------------------------------------------------
% File     : SYN307=Decide5-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : 
% English  : 

% Refs     : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York,
%            USA.
% Source   : [Fermueller, et al., 1993]
% Names    : EXAMPLE 3.2.3 [Fermueller, et al., 1993]

% Status   : satisfiable
% Syntax   : Number of clauses           :    4 (   1 non-Horn)(   2 unit)
%            Number of literals          :    8 (   0 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    2 (   2 constant)
%            Number of variables         :   10 (   0 singleton)
%            Maximal term depth          :    1

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause1,theorem,
    [++p(X,Z,U),
     --p(X,Y,U),
     --p(Y,Z,U)]).

input_clause(clause2,theorem,
    [++p(X,X,a)]).

input_clause(clause3,theorem,
    [--p(X,Z,U),
     ++p(X,Y,U),
     ++p(Y,Z,U)]).

input_clause(clause4,theorem,
    [--p(X,X,b)]).
%--------------------------------------------------------------------------
