%--------------------------------------------------------------------------
% File     : SYN308=Decide6-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : 
% English  : 

% Refs     : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York,
%            USA.
% Source   : [Fermueller, et al., 1993]
% Names    : EXAMPLE 4.11 [Fermueller, et al., 1993]

% Status   : unknown
% Syntax   : Number of clauses           :    4 (   3 non-Horn)(   1 unit)
%            Number of literals          :    9 (   0 equality)
%            Maximal clause size         :    4
%            Number of predicate symbols :    4 (   0 propositional)
%            Number of function symbols  :    6 (   3 constant)
%            Number of variables         :   13 (   9 singleton)
%            Maximal term depth          :    4

% Comments : This set belngs to the class E+ [Fermueller, et al., 1993, 
%            p. 82].
%--------------------------------------------------------------------------
input_clause(clause1,theorem,
    [++p(f(f(a)),g(c,g(Y,X))),
     ++p(U,f(U))]).

input_clause(clause2,theorem,
    [--p(f(h(X,Y,Z)),Z),
     ++g(b),
     ++g(V),
     --g(U)]).

input_clause(clause3,theorem,
    [++e(g(h(Z,X,Y),f(b)))]).

input_clause(clause4,theorem,
    [++r(g(V,g(V,U)),g(U,V)),
     ++r(f(b),g(f(f(a)),g(U,V)))]).
%--------------------------------------------------------------------------
