%--------------------------------------------------------------------------
% File     : SYN311=Decide9-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : 
% English  : 

% Refs     : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York,
%            USA.
% Source   : [Fermueller, et al., 1993]
% Names    : H2 [Fermueller, et al., 1993]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    6 (   0 non-Horn)(   2 unit)
%            Number of literals          :   10 (   0 equality)
%            Maximal clause size         :    2
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    6 (   4 constant)
%            Number of variables         :   16 (   0 singleton)
%            Maximal term depth          :    3

% Comments : This set belongs to the class PVD [Fermueller, et al., 1993,
%            p. 192].
%--------------------------------------------------------------------------
input_clause(clause1,theorem,
    [++p(X3,X,X1,X2),
     --p(X,X1,X2,X3)]).

input_clause(clause2,theorem,
    [++p(X3,X2,X1,X),
     --p(X,X1,X2,X3)]).

input_clause(clause3,theorem,
    [++p(X,X1,X2,g(X3)),
     --p(X,X1,X2,X3)]).

input_clause(clause4,theorem,
    [++p(f(X),X1,X2,X3),
     --p(X,X1,X2,X3)]).

input_clause(clause5,theorem,
    [++p(a,b,c,d)]).

input_clause(clause6,theorem,
    [--p(f(g(d)),f(g(c)),f(g(b)),f(g(a)))]).
%--------------------------------------------------------------------------
