%--------------------------------------------------------------------------
% File     : SYN312=Decide10-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : 
% English  : 

% Refs     : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York,
%            USA.
% Source   : [Fermueller, et al., 1993]
% Names    : H3 [Fermueller, et al., 1993]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    8 (   1 non-Horn)(   3 unit)
%            Number of literals          :   14 (   0 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    6 (   4 constant)
%            Number of variables         :   16 (   0 singleton)
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause1,theorem,
    [++p(X,X3,X2),
     --p(X,X1,X2),
     ++p(X1,X3,X2)]).

input_clause(clause2,theorem,
    [++p(X2,X1,X),
     --p(X,X1,X2)]).

input_clause(clause3,theorem,
    [++p(X1,X,X2),
     --p(X,X1,X2)]).

input_clause(clause4,theorem,
    [++p(X,X1,f(X2)),
     --p(X,X1,X2)]).

input_clause(clause5,theorem,
    [++p(g(X),X1,X2),
     --p(X,X1,X2)]).

input_clause(clause6,theorem,
    [++p(a,f(b),c)]).

input_clause(clause7,theorem,
    [++p(f(b),d,c)]).

input_clause(clause8,theorem,
    [--p(f(g(a)),f(g(d)),f(g(c)))]).
%--------------------------------------------------------------------------
