%--------------------------------------------------------------------------
% File     : SYN313=Decide11-1.001:002 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : 
% English  :

% Refs     : Fermueller C. (1994), Email to Geoff Sutcliffe.
% Source   : [Fermueller, 1994]
% Names    : - [Fermueller, 1994]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    2 (   1 non-Horn)(   0 unit)
%            Number of literals          :    5 (   0 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    8 (   1 constant)
%            Number of variables         :    6 (   1 singleton)
%            Maximal term depth          :    2

% Comments : Fermueller claims [1994] that this is "out of range for any
%            prover if n,m>4 or so" (n,m being the two size parameters).
%          : tptp2X: -ftptp -s1:2 SYN313-1.g
%--------------------------------------------------------------------------
input_clause(clause1,theorem,
    [--p(X0,f0(X0),X1),
     --p(X0,f1(X1),X2)]).

input_clause(clause2,theorem,
    [++p(h0,Y0,j0(Y2)),
     ++p(h1(Y0),Y1,j1(Y2)),
     ++p(h2(Y1),Y2,j2(Y2))]).
%--------------------------------------------------------------------------
