%--------------------------------------------------------------------------
% File     : SYN337=Church46_15_2-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.15 (2)
% Version  : 
% English  : 

% Refs     : Church A. (1956), Introduction to Mathematical Logic I,
%            Princeton University Press, Princeton, USA.
%          : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York,
%            USA.
%          : Tammet T. (1994), Email to Geoff Sutcliffe.
% Source   : [Tammet, 1994]
% Names    : Ch15N2 [Tammet, 1994]

% Status   : satisfiable
% Syntax   : Number of clauses           :    5 (   0 non-Horn)(   5 unit)
%            Number of literals          :    5 (   0 equality)
%            Maximal clause size         :    1
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    3 (   2 constant)
%            Number of variables         :    5 (   4 singleton)
%            Maximal term depth          :    2

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See
%            [Fermueller, et al., 1993].
%          : The conversion from the full 1st order form in [Church, 1956]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,theorem,
    [++f(a,Y)]).

input_clause(clause2,theorem,
    [++f(z(Y),a)]).

input_clause(clause3,theorem,
    [++f(z(Y),Y)]).

input_clause(clause4,theorem,
    [--f(b,Y)]).

input_clause(clause5,theorem,
    [--f(b,z(Y))]).
%--------------------------------------------------------------------------
