%--------------------------------------------------------------------------
% File     : BOO015=DeMorgan2-4 : TPTP v1.2.0. Released v1.1.0.
% Domain   : Boolean Algebra
% Problem  : DeMorgan for inverse and sum (X^-1 + Y^-1) = (X * Y)^-1
% Version  : [Veroff, 1993] (equality) axioms.
% English  : 

% Refs     : Veroff R. (1994), Problem Set, AAR Newsletter 24, 8.
% Source   : [Veroff, 1994]
% Names    : TH [Veroff, 1994]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :   17 (   0 non-Horn)(  10 unit)
%            Number of literals          :   25 (  25 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    7 (   4 constant)
%            Number of variables         :   34 (   0 singleton)
%            Maximal term depth          :    3

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include boolean algebra axioms for equality formulation 
include('Axioms/BOO004-0.ax').
%--------------------------------------------------------------------------
input_clause(prove_c_inverse_is_d,theorem,
    [--equal(inverse(multiply(a,b)),add(inverse(a),inverse(b)))]).
%--------------------------------------------------------------------------
