%--------------------------------------------------------------------------
% File     : COL077=TRC1a-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Combinatory Logic
% Problem  : Abst Abst Abst Abst Abst Abst = Id
% Version  : [Jech, 1994] (equality) axioms.
% English  : 

% Refs     : Jech T. (1994), Otter Experiments in a System of Combinatory 
%            Logic, Unpublished.
% Source   : [Jech, 1994]
% Names    : Proposition 1a [Jech, 1994]

% Status   : unknown
% Syntax   : Number of clauses           :   22 (   1 non-Horn)(  11 unit)
%            Number of literals          :   34 (  34 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    9 (   5 constant)
%            Number of variables         :   45 (   3 singleton)
%            Maximal term depth          :    6

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms of Type-respecting combinators 
include('Axioms/COL001-0.ax').
%--------------------------------------------------------------------------
input_clause(identity_definition,axiom,
    [++equal(apply(identity,X),X)]).

input_clause(prove_TRC1a,theorem,
    [--equal(apply(apply(apply(apply(apply(abstraction,abstraction),
abstraction),abstraction),abstraction),abstraction),identity)]).
%--------------------------------------------------------------------------
