%--------------------------------------------------------------------------
% File     : NUM284=Fibonacci-1.010 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Number Theory
% Problem  : Calculation of fibonacci numbers
% Version  : 
% English  : Compute the 10th Fibonacci number.

% Refs     : 
% Source   : [SETHEO]
% Names    : fib3.lop (Size 3) [SETHEO]
%          : fib4.lop (Size 4) [SETHEO]
%          : fib5.lop (Size 5) [SETHEO]
%          : fib6.lop (Size 6) [SETHEO]
%          : fib9.lop (Size 9) [SETHEO]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    6 (   0 non-Horn)(   4 unit)
%            Number of literals          :   12 (   0 equality)
%            Maximal clause size         :    6
%            Number of predicate symbols :    2 (   0 propositional)
%            Number of function symbols  :    1 (   1 constant)
%            Number of variables         :   11 (   1 singleton)
%            Maximal term depth          :   11

% Comments : 
%          : tptp2X: -ftptp -s10 NUM284-1.g
%--------------------------------------------------------------------------
input_clause(fibonacci_0,axiom,
    [++fibonacci(0,successor(0))]).

input_clause(fibonacci_1,axiom,
    [++fibonacci(successor(0),successor(0))]).

input_clause(fibonacci_N,axiom,
    [--sum(N1,successor(0),N),
     --sum(N2,successor(successor(0)),N),
     --fibonacci(N1,F1),
     --fibonacci(N2,F2),
     --sum(F1,F2,FN),
     ++fibonacci(N,FN)]).

input_clause(add_0,axiom,
    [++sum(X,0,X)]).

input_clause(add,axiom,
    [--sum(X,Y,Z),
     ++sum(X,successor(Y),successor(Z))]).

input_clause(prove_fibonacci,theorem,
    [--fibonacci(successor(successor(successor(successor(successor(
successor(successor(successor(successor(successor(0)))))))))),Result)]).
%--------------------------------------------------------------------------
