%--------------------------------------------------------------------------
% File     : SET043=Russell-5 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Set Theory
% Problem  : Russell's Paradox
% Version  : 
% English  : Russell's paradox : there is no Russell set (a set which 
%            contains exactly those sets which are not members 
%            of themselves).

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 39 [Pelletier, 1986]
%          : p39.in [ANL]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    2 (   1 non-Horn)(   0 unit)
%            Number of literals          :    4 (   0 equality)
%            Maximal clause size         :    2
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    1 (   1 constant)
%            Number of variables         :    2 (   0 singleton)
%            Maximal term depth          :    1

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--element(X,a),
     --element(X,X)]).

input_clause(clause_2,theorem,
    [++element(X,X),
     ++element(X,a)]).
%--------------------------------------------------------------------------
