%--------------------------------------------------------------------------
% File     : SYN002=OddEven-1.007:008 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Odd and Even Problem
% Version  : 
% English  : Given by the clauses C1: p(X) v p(f^M(X)) and C2: ~p(X) 
%            v ~p(f^N(X)), where if M is odd N is even and vice versa,
%            N > M. The sizes are used for N and M.

% Refs     : Socher-Ambrosius R. (1992), How to Avoid the Derivation 
%            of Redundant Clauses in Reasoning Systems, Journal of 
%            Automated Reasoning 9(1), Kluwer Academic Publishers, 
%            Dordrecht, The Netherlands, 77-97.
% Source   : [Socher-Ambrosius, 1992]
% Names    : ederX-Y.lop (Size X:Y) [TUM]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    2 (   1 non-Horn)(   0 unit)
%            Number of literals          :    4 (   0 equality)
%            Maximal clause size         :    2
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    1 (   0 constant)
%            Number of variables         :    2 (   0 singleton)
%            Maximal term depth          :    9

% Comments : 
%          : tptp2X: -ftptp -s7:8 SYN002-1.g
%--------------------------------------------------------------------------
input_clause(positive,theorem,
    [++p(X),
     ++p(f(f(f(f(f(f(f(X))))))))]).

input_clause(negative,theorem,
    [--p(X),
     --p(f(f(f(f(f(f(f(f(X)))))))))]).
%--------------------------------------------------------------------------
