%--------------------------------------------------------------------------
% File     : SYN008=Relev1-1 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : A problem to demonstrate the usefulness of relevancy testing
% Version  : 
% English  : 

% Refs     : Wilson D.S., Loveland D.W. (1989), Incorporating Relevancy 
%            Testing in SATCHMO, CS-1989-24, Department of Computer 
%            Science, Duke University.
% Source   : [Wilson & Loveland, 1989]
% Names    : Figure 3 [Wilson & Loveland, 1989]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    6 (   3 non-Horn)(   3 unit)
%            Number of literals          :   13 (   0 equality)
%            Maximal clause size         :    4
%            Number of predicate symbols :    7 (   7 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal term depth          :    0

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,theorem,
    [--p]).

input_clause(clause_2,theorem,
    [--q]).

input_clause(clause_3,theorem,
    [++r]).

input_clause(clause_4,theorem,
    [--r,++a,++b]).

input_clause(clause_5,theorem,
    [--r,++p,++c,++d]).

input_clause(clause_6,theorem,
    [--r,++p,++q]).
%--------------------------------------------------------------------------
