%--------------------------------------------------------------------------
% File     : SYN061=FPell31-1 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 31
% Version  : 
% English  : 

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal 
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 31 [Pelletier, 1986]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    6 (   1 non-Horn)(   2 unit)
%            Number of literals          :   10 (   0 equality)
%            Maximal clause size         :    2
%            Number of predicate symbols :    5 (   0 propositional)
%            Number of function symbols  :    1 (   1 constant)
%            Number of variables         :    4 (   0 singleton)
%            Maximal term depth          :    1

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [--big_f(X),
     --big_g(X)]).

input_clause(clause_2,axiom,
    [--big_f(X),
     --big_h(X)]).

input_clause(clause_3,axiom,
    [++big_i(a)]).

input_clause(clause_4,axiom,
    [++big_f(a)]).

input_clause(clause_5,axiom,
    [++big_h(X),
     ++big_j(X)]).

input_clause(clause_6,theorem,
    [--big_i(X),
     --big_j(X)]).
%--------------------------------------------------------------------------
