%--------------------------------------------------------------------------
% File     : SYN063=FPell33-2 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 33
% Version  : Theorem formulation : Different clausification.
% English  : 

% Refs     : Kalish D. and Montegue R. (1964), Logic: Techniques of Formal 
%            Reasoning, World, Harcourt and Brace, New York, NY.
%          : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    3 (   0 non-Horn)(   2 unit)
%            Number of literals          :    4 (   0 equality)
%            Maximal clause size         :    2
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    2 (   2 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal term depth          :    1

% Comments : This is a monadic predicate formulation of Pelletier 17.
%          : Created using the TPTP clausifier.
%--------------------------------------------------------------------------
input_clause(pel33_1,theorem,
    [++big_p(c),
     --big_p(a)]).

input_clause(pel33_2,theorem,
    [++big_p(a)]).

input_clause(pel33_3,theorem,
    [--big_p(c)]).
%--------------------------------------------------------------------------
