%--------------------------------------------------------------------------
% File     : SYN081=FPell59-1 : TPTP v1.2.0. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Pelletier Problem 59
% Version  : 
% English  : 

% Refs     : Pelletier F.J. (1986), Seventy-Five Problems for Testing 
%            Automatic Theorem Provers, Journal of Automated Reasoning 
%            2(2), 191-216.
% Source   : [Pelletier, 1986]
% Names    : Pelletier 59 [Pelletier, 1986]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    3 (   1 non-Horn)(   0 unit)
%            Number of literals          :    6 (   0 equality)
%            Maximal clause size         :    2
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    1 (   0 constant)
%            Number of variables         :    3 (   0 singleton)
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [--big_f(X),
     --big_f(f(X))]).

input_clause(clause_2,axiom,
    [++big_f(f(X)),
     ++big_f(X)]).

input_clause(prove_this,theorem,
    [--big_f(X),
     ++big_f(f(X))]).
%--------------------------------------------------------------------------
