%--------------------------------------------------------------------------
% File     : SYN091=DAPsyms2-1.003 : TPTP v1.2.0. Bugfixed v1.1.4.
% Domain   : Syntactic
% Problem  : Plaisted problem sym(s(2,3))
% Version  : 
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : Sym(S2n) [Plaisted, 1994]

% Status   : satisfiable
% Syntax   : Number of clauses           :   86 (  36 non-Horn)(   2 unit)
%            Number of literals          :  242 (   0 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :   60 (  60 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal term depth          :    0

% Comments : 
%          : tptp2X: -ftptp -s3 SYN091-1.g
% Bugfixes : v1.1.4 - Bugfix in SYN086-1.
%--------------------------------------------------------------------------
input_clause(s2_goal_1,theorem,
    [--p_1_3]).

input_clause(s2_type11_1,axiom,
    [++p_1_1,--p_2_1,--p_1_0]).

input_clause(s2_type11_2,axiom,
    [++p_1_1,--q_2_1,--q_1_0]).

input_clause(s2_type11_3,axiom,
    [++p_1_2,--p_2_2,--p_1_1]).

input_clause(s2_type11_4,axiom,
    [++p_1_2,--q_2_2,--q_1_1]).

input_clause(s2_type11_5,axiom,
    [++p_1_3,--p_2_3,--p_1_2]).

input_clause(s2_type11_6,axiom,
    [++p_1_3,--q_2_3,--q_1_2]).

input_clause(s2_type11_7,axiom,
    [++p_2_1,--p_3_1,--p_2_0]).

input_clause(s2_type11_8,axiom,
    [++p_2_1,--q_3_1,--q_2_0]).

input_clause(s2_type11_9,axiom,
    [++p_2_2,--p_3_2,--p_2_1]).

input_clause(s2_type11_10,axiom,
    [++p_2_2,--q_3_2,--q_2_1]).

input_clause(s2_type11_11,axiom,
    [++p_2_3,--p_3_3,--p_2_2]).

input_clause(s2_type11_12,axiom,
    [++p_2_3,--q_3_3,--q_2_2]).

input_clause(s2_type11_13,axiom,
    [++p_3_1,--p_4_1,--p_3_0]).

input_clause(s2_type11_14,axiom,
    [++p_3_1,--q_4_1,--q_3_0]).

input_clause(s2_type11_15,axiom,
    [++p_3_2,--p_4_2,--p_3_1]).

input_clause(s2_type11_16,axiom,
    [++p_3_2,--q_4_2,--q_3_1]).

input_clause(s2_type11_17,axiom,
    [++p_3_3,--p_4_3,--p_3_2]).

input_clause(s2_type11_18,axiom,
    [++p_3_3,--q_4_3,--q_3_2]).

input_clause(s2_type12_1,axiom,
    [++q_1_1,--p_2_1,--q_1_0]).

input_clause(s2_type12_2,axiom,
    [++q_1_1,--q_2_1,--p_1_0]).

input_clause(s2_type12_3,axiom,
    [++q_1_2,--p_2_2,--q_1_1]).

input_clause(s2_type12_4,axiom,
    [++q_1_2,--q_2_2,--p_1_1]).

input_clause(s2_type12_5,axiom,
    [++q_1_3,--p_2_3,--q_1_2]).

input_clause(s2_type12_6,axiom,
    [++q_1_3,--q_2_3,--p_1_2]).

input_clause(s2_type12_7,axiom,
    [++q_2_1,--p_3_1,--q_2_0]).

input_clause(s2_type12_8,axiom,
    [++q_2_1,--q_3_1,--p_2_0]).

input_clause(s2_type12_9,axiom,
    [++q_2_2,--p_3_2,--q_2_1]).

input_clause(s2_type12_10,axiom,
    [++q_2_2,--q_3_2,--p_2_1]).

input_clause(s2_type12_11,axiom,
    [++q_2_3,--p_3_3,--q_2_2]).

input_clause(s2_type12_12,axiom,
    [++q_2_3,--q_3_3,--p_2_2]).

input_clause(s2_type12_13,axiom,
    [++q_3_1,--p_4_1,--q_3_0]).

input_clause(s2_type12_14,axiom,
    [++q_3_1,--q_4_1,--p_3_0]).

input_clause(s2_type12_15,axiom,
    [++q_3_2,--p_4_2,--q_3_1]).

input_clause(s2_type12_16,axiom,
    [++q_3_2,--q_4_2,--p_3_1]).

input_clause(s2_type12_17,axiom,
    [++q_3_3,--p_4_3,--q_3_2]).

input_clause(s2_type12_18,axiom,
    [++q_3_3,--q_4_3,--p_3_2]).

input_clause(s2_type21_1,axiom,
    [++p_1_1,--p_1_2]).

input_clause(s2_type21_2,axiom,
    [++q_1_1,--q_1_2]).

input_clause(s2_type22_1,axiom,
    [++p_2_2,--p_1_2]).

input_clause(s2_type22_2,axiom,
    [++p_3_3,--p_2_3]).

input_clause(s2_type22_3,axiom,
    [++q_2_2,--q_1_2]).

input_clause(s2_type22_4,axiom,
    [++q_3_3,--q_2_3]).

input_clause(sym_s2_goal_1,axiom,
    [++sym_p_1_3]).

input_clause(sym_s2_type11_1,axiom,
    [--sym_p_1_1,++sym_p_2_1,++sym_p_1_0]).

input_clause(sym_s2_type11_2,axiom,
    [--sym_p_1_1,++sym_q_2_1,++sym_q_1_0]).

input_clause(sym_s2_type11_3,axiom,
    [--sym_p_1_2,++sym_p_2_2,++sym_p_1_1]).

input_clause(sym_s2_type11_4,axiom,
    [--sym_p_1_2,++sym_q_2_2,++sym_q_1_1]).

input_clause(sym_s2_type11_5,axiom,
    [--sym_p_1_3,++sym_p_2_3,++sym_p_1_2]).

input_clause(sym_s2_type11_6,axiom,
    [--sym_p_1_3,++sym_q_2_3,++sym_q_1_2]).

input_clause(sym_s2_type11_7,axiom,
    [--sym_p_2_1,++sym_p_3_1,++sym_p_2_0]).

input_clause(sym_s2_type11_8,axiom,
    [--sym_p_2_1,++sym_q_3_1,++sym_q_2_0]).

input_clause(sym_s2_type11_9,axiom,
    [--sym_p_2_2,++sym_p_3_2,++sym_p_2_1]).

input_clause(sym_s2_type11_10,axiom,
    [--sym_p_2_2,++sym_q_3_2,++sym_q_2_1]).

input_clause(sym_s2_type11_11,axiom,
    [--sym_p_2_3,++sym_p_3_3,++sym_p_2_2]).

input_clause(sym_s2_type11_12,axiom,
    [--sym_p_2_3,++sym_q_3_3,++sym_q_2_2]).

input_clause(sym_s2_type11_13,axiom,
    [--sym_p_3_1,++sym_p_4_1,++sym_p_3_0]).

input_clause(sym_s2_type11_14,axiom,
    [--sym_p_3_1,++sym_q_4_1,++sym_q_3_0]).

input_clause(sym_s2_type11_15,axiom,
    [--sym_p_3_2,++sym_p_4_2,++sym_p_3_1]).

input_clause(sym_s2_type11_16,axiom,
    [--sym_p_3_2,++sym_q_4_2,++sym_q_3_1]).

input_clause(sym_s2_type11_17,axiom,
    [--sym_p_3_3,++sym_p_4_3,++sym_p_3_2]).

input_clause(sym_s2_type11_18,axiom,
    [--sym_p_3_3,++sym_q_4_3,++sym_q_3_2]).

input_clause(sym_s2_type12_1,axiom,
    [--sym_q_1_1,++sym_p_2_1,++sym_q_1_0]).

input_clause(sym_s2_type12_2,axiom,
    [--sym_q_1_1,++sym_q_2_1,++sym_p_1_0]).

input_clause(sym_s2_type12_3,axiom,
    [--sym_q_1_2,++sym_p_2_2,++sym_q_1_1]).

input_clause(sym_s2_type12_4,axiom,
    [--sym_q_1_2,++sym_q_2_2,++sym_p_1_1]).

input_clause(sym_s2_type12_5,axiom,
    [--sym_q_1_3,++sym_p_2_3,++sym_q_1_2]).

input_clause(sym_s2_type12_6,axiom,
    [--sym_q_1_3,++sym_q_2_3,++sym_p_1_2]).

input_clause(sym_s2_type12_7,axiom,
    [--sym_q_2_1,++sym_p_3_1,++sym_q_2_0]).

input_clause(sym_s2_type12_8,axiom,
    [--sym_q_2_1,++sym_q_3_1,++sym_p_2_0]).

input_clause(sym_s2_type12_9,axiom,
    [--sym_q_2_2,++sym_p_3_2,++sym_q_2_1]).

input_clause(sym_s2_type12_10,axiom,
    [--sym_q_2_2,++sym_q_3_2,++sym_p_2_1]).

input_clause(sym_s2_type12_11,axiom,
    [--sym_q_2_3,++sym_p_3_3,++sym_q_2_2]).

input_clause(sym_s2_type12_12,axiom,
    [--sym_q_2_3,++sym_q_3_3,++sym_p_2_2]).

input_clause(sym_s2_type12_13,axiom,
    [--sym_q_3_1,++sym_p_4_1,++sym_q_3_0]).

input_clause(sym_s2_type12_14,axiom,
    [--sym_q_3_1,++sym_q_4_1,++sym_p_3_0]).

input_clause(sym_s2_type12_15,axiom,
    [--sym_q_3_2,++sym_p_4_2,++sym_q_3_1]).

input_clause(sym_s2_type12_16,axiom,
    [--sym_q_3_2,++sym_q_4_2,++sym_p_3_1]).

input_clause(sym_s2_type12_17,axiom,
    [--sym_q_3_3,++sym_p_4_3,++sym_q_3_2]).

input_clause(sym_s2_type12_18,axiom,
    [--sym_q_3_3,++sym_q_4_3,++sym_p_3_2]).

input_clause(sym_s2_type21_1,axiom,
    [--sym_p_1_1,++sym_p_1_2]).

input_clause(sym_s2_type21_2,axiom,
    [--sym_q_1_1,++sym_q_1_2]).

input_clause(sym_s2_type22_1,axiom,
    [--sym_p_2_2,++sym_p_1_2]).

input_clause(sym_s2_type22_2,axiom,
    [--sym_p_3_3,++sym_p_2_3]).

input_clause(sym_s2_type22_3,axiom,
    [--sym_q_2_2,++sym_q_1_2]).

input_clause(sym_s2_type22_4,axiom,
    [--sym_q_3_3,++sym_q_2_3]).
%--------------------------------------------------------------------------
