%--------------------------------------------------------------------------
% File     : SYN093=DAPut2-1.002 : TPTP v1.2.0. Bugfixed v1.1.4.
% Domain   : Syntactic
% Problem  : Plaisted problem u(t(2,2))
% Version  : 
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : U(T2n) [Plaisted, 1994]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :   50 (  24 non-Horn)(   1 unit)
%            Number of literals          :  135 (   0 equality)
%            Maximal clause size         :    4
%            Number of predicate symbols :   41 (  41 propositional)
%            Number of function symbols  :    0 (   0 constant)
%            Number of variables         :    0 (   0 singleton)
%            Maximal term depth          :    0

% Comments : 
%          : tptp2X: -ftptp -s2 SYN093-1.g
% Bugfixes : v1.1.4 - Bugfix in SYN086-1.
%--------------------------------------------------------------------------
input_clause(u_s2_goal_1,theorem,
    [++u_1,--p_1_2]).

input_clause(u_1_s2_goal_1,axiom,
    [--u_1]).

input_clause(u_s2_type11_1,axiom,
    [++u_2,++p_1_1,--p_2_1,--p_1_0]).

input_clause(u_2_s2_type11_1,axiom,
    [++p_1_1,--u_2]).

input_clause(u_s2_type11_2,axiom,
    [++u_3,++p_1_1,--q_2_1,--q_1_0]).

input_clause(u_3_s2_type11_2,axiom,
    [++p_1_1,--u_3]).

input_clause(u_s2_type11_3,axiom,
    [++u_4,++p_1_2,--p_2_2,--p_1_1]).

input_clause(u_4_s2_type11_3,axiom,
    [++p_1_2,--u_4]).

input_clause(u_s2_type11_4,axiom,
    [++u_5,++p_1_2,--q_2_2,--q_1_1]).

input_clause(u_5_s2_type11_4,axiom,
    [++p_1_2,--u_5]).

input_clause(u_s2_type11_5,axiom,
    [++u_6,++p_2_1,--p_3_1,--p_2_0]).

input_clause(u_6_s2_type11_5,axiom,
    [++p_2_1,--u_6]).

input_clause(u_s2_type11_6,axiom,
    [++u_7,++p_2_1,--q_3_1,--q_2_0]).

input_clause(u_7_s2_type11_6,axiom,
    [++p_2_1,--u_7]).

input_clause(u_s2_type11_7,axiom,
    [++u_8,++p_2_2,--p_3_2,--p_2_1]).

input_clause(u_8_s2_type11_7,axiom,
    [++p_2_2,--u_8]).

input_clause(u_s2_type11_8,axiom,
    [++u_9,++p_2_2,--q_3_2,--q_2_1]).

input_clause(u_9_s2_type11_8,axiom,
    [++p_2_2,--u_9]).

input_clause(u_s2_type12_1,axiom,
    [++u_10,++q_1_1,--p_2_1,--q_1_0]).

input_clause(u_10_s2_type12_1,axiom,
    [++q_1_1,--u_10]).

input_clause(u_s2_type12_2,axiom,
    [++u_11,++q_1_1,--q_2_1,--p_1_0]).

input_clause(u_11_s2_type12_2,axiom,
    [++q_1_1,--u_11]).

input_clause(u_s2_type12_3,axiom,
    [++u_12,++q_1_2,--p_2_2,--q_1_1]).

input_clause(u_12_s2_type12_3,axiom,
    [++q_1_2,--u_12]).

input_clause(u_s2_type12_4,axiom,
    [++u_13,++q_1_2,--q_2_2,--p_1_1]).

input_clause(u_13_s2_type12_4,axiom,
    [++q_1_2,--u_13]).

input_clause(u_s2_type12_5,axiom,
    [++u_14,++q_2_1,--p_3_1,--q_2_0]).

input_clause(u_14_s2_type12_5,axiom,
    [++q_2_1,--u_14]).

input_clause(u_s2_type12_6,axiom,
    [++u_15,++q_2_1,--q_3_1,--p_2_0]).

input_clause(u_15_s2_type12_6,axiom,
    [++q_2_1,--u_15]).

input_clause(u_s2_type12_7,axiom,
    [++u_16,++q_2_2,--p_3_2,--q_2_1]).

input_clause(u_16_s2_type12_7,axiom,
    [++q_2_2,--u_16]).

input_clause(u_s2_type12_8,axiom,
    [++u_17,++q_2_2,--q_3_2,--p_2_1]).

input_clause(u_17_s2_type12_8,axiom,
    [++q_2_2,--u_17]).

input_clause(u_s2_type21_1,axiom,
    [++u_18,++p_1_1,--p_1_2]).

input_clause(u_18_s2_type21_1,axiom,
    [++p_1_1,--u_18]).

input_clause(u_s2_type21_2,axiom,
    [++u_19,++q_1_1,--q_1_2]).

input_clause(u_19_s2_type21_2,axiom,
    [++q_1_1,--u_19]).

input_clause(u_s2_type22_1,axiom,
    [++u_20,++p_2_2,--p_1_2]).

input_clause(u_20_s2_type22_1,axiom,
    [++p_2_2,--u_20]).

input_clause(u_s2_type22_2,axiom,
    [++u_21,++q_2_2,--q_1_2]).

input_clause(u_21_s2_type22_2,axiom,
    [++q_2_2,--u_21]).

input_clause(u_t2_1,axiom,
    [++u_22,++p_1_1]).

input_clause(u_22_t2_1,axiom,
    [++p_1_1,--u_22]).

input_clause(u_t2_2,axiom,
    [++u_23,++q_1_1]).

input_clause(u_23_t2_2,axiom,
    [++q_1_1,--u_23]).

input_clause(u_t2_3,axiom,
    [++u_24,++p_2_2]).

input_clause(u_24_t2_3,axiom,
    [++p_2_2,--u_24]).

input_clause(u_t2_4,axiom,
    [++u_25,++q_2_2]).

input_clause(u_25_t2_4,axiom,
    [++q_2_2,--u_25]).
%--------------------------------------------------------------------------
