%--------------------------------------------------------------------------
% File     : SYN095=DAPmt2-1.002 : TPTP v1.2.0. Bugfixed v1.1.4.
% Domain   : Syntactic
% Problem  : Plaisted problem m(t(2,2))
% Version  : 
% English  : 

% Refs     : Plaisted D.A. (1994), The Search Efficiency of Theorem 
%            Proving Strategies, In Bundy A. (Ed.), Proceedings of the 
%            12th International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 
%            814), Springer-Verlag, New York, USA, 57-71.
% Source   : [Plaisted, 1994]
% Names    : M(T2n) [Plaisted, 1994]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :   25 (   0 non-Horn)(   5 unit)
%            Number of literals          :   61 (   0 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :   16 (   0 propositional)
%            Number of function symbols  :    1 (   1 constant)
%            Number of variables         :   21 (   1 singleton)
%            Maximal term depth          :    1

% Comments : 
%          : tptp2X: -ftptp -s2 SYN095-1.g
% Bugfixes : v1.1.4 - Bugfix in SYN086-1.
%--------------------------------------------------------------------------
input_clause(m_s2_goal_1,theorem,
    [--p_1_2(X)]).

input_clause(m_s2_type11_1,axiom,
    [++p_1_1(X),
     --p_2_1(X),
     --p_1_0(X)]).

input_clause(m_s2_type11_2,axiom,
    [++p_1_1(X),
     --q_2_1(X),
     --q_1_0(X)]).

input_clause(m_s2_type11_3,axiom,
    [++p_1_2(X),
     --p_2_2(X),
     --p_1_1(X)]).

input_clause(m_s2_type11_4,axiom,
    [++p_1_2(X),
     --q_2_2(X),
     --q_1_1(X)]).

input_clause(m_s2_type11_5,axiom,
    [++p_2_1(X),
     --p_3_1(X),
     --p_2_0(X)]).

input_clause(m_s2_type11_6,axiom,
    [++p_2_1(X),
     --q_3_1(X),
     --q_2_0(X)]).

input_clause(m_s2_type11_7,axiom,
    [++p_2_2(X),
     --p_3_2(X),
     --p_2_1(X)]).

input_clause(m_s2_type11_8,axiom,
    [++p_2_2(X),
     --q_3_2(X),
     --q_2_1(X)]).

input_clause(m_s2_type12_1,axiom,
    [++q_1_1(X),
     --p_2_1(X),
     --q_1_0(X)]).

input_clause(m_s2_type12_2,axiom,
    [++q_1_1(X),
     --q_2_1(X),
     --p_1_0(X)]).

input_clause(m_s2_type12_3,axiom,
    [++q_1_2(X),
     --p_2_2(X),
     --q_1_1(X)]).

input_clause(m_s2_type12_4,axiom,
    [++q_1_2(X),
     --q_2_2(X),
     --p_1_1(X)]).

input_clause(m_s2_type12_5,axiom,
    [++q_2_1(X),
     --p_3_1(X),
     --q_2_0(X)]).

input_clause(m_s2_type12_6,axiom,
    [++q_2_1(X),
     --q_3_1(X),
     --p_2_0(X)]).

input_clause(m_s2_type12_7,axiom,
    [++q_2_2(X),
     --p_3_2(X),
     --q_2_1(X)]).

input_clause(m_s2_type12_8,axiom,
    [++q_2_2(X),
     --q_3_2(X),
     --p_2_1(X)]).

input_clause(m_s2_type21_1,axiom,
    [++p_1_1(X),
     --p_1_2(X)]).

input_clause(m_s2_type21_2,axiom,
    [++q_1_1(X),
     --q_1_2(X)]).

input_clause(m_s2_type22_1,axiom,
    [++p_2_2(X),
     --p_1_2(X)]).

input_clause(m_s2_type22_2,axiom,
    [++q_2_2(X),
     --q_1_2(X)]).

input_clause(m_t2_1,axiom,
    [++p_1_1(a)]).

input_clause(m_t2_2,axiom,
    [++q_1_1(a)]).

input_clause(m_t2_3,axiom,
    [++p_2_2(a)]).

input_clause(m_t2_4,axiom,
    [++q_2_2(a)]).
%--------------------------------------------------------------------------
