%--------------------------------------------------------------------------
% File     : SYN303=Decide1-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : 
% English  : 

% Refs     : Bourely C., Caferra R., Peltier N. (1994), A Method for
%            Building Models Automatically. Experiments with an extension
%            of Otter, In Bundy A. (Ed), Proceedings of the 12th
%            International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 814),
%            Springer-Verlag, New York, USA, 72-86.
% Source   : [Bourely, et al., 1984]
% Names    : Example 1 [Bourely, et al., 1984]

% Status   : satisfiable
% Syntax   : Number of clauses           :    5 (   0 non-Horn)(   2 unit)
%            Number of literals          :    8 (   0 equality)
%            Maximal clause size         :    2
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :    2 (   1 constant)
%            Number of variables         :    8 (   1 singleton)
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause1,theorem,
    [++p(X,X)]).

input_clause(clause2,theorem,
    [--p(X,Y),
     ++p(Y,X)]).

input_clause(clause3,theorem,
    [++p(X,Y),
     --p(f(X),f(Y))]).

input_clause(clause4,theorem,
    [--p(X,Y),
     --p(f(X),f(Y))]).

input_clause(clause5,theorem,
    [--p(a,f(X))]).
%--------------------------------------------------------------------------
