%--------------------------------------------------------------------------
% File     : SYN304=Decide2-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : 
% English  : 

% Refs     : Bourely C., Caferra R., Peltier N. (1994), A Method for
%            Building Models Automatically. Experiments with an extension
%            of Otter, In Bundy A. (Ed), Proceedings of the 12th
%            International Conference on Automated Deduction (Nancy,
%            France, 1994), (Lecture Notes in Artificial Intelligence 814),
%            Springer-Verlag, New York, USA, 72-86.
%          : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York, 
%            USA.
% Source   : [Bourely, et al., 1984]
% Names    : Example 2 [Bourely, et al., 1984]
%            EXAMPLE 7.8 [Fermueller, et al., 1993]

% Status   : satisfiable
% Syntax   : Number of clauses           :    8 (   1 non-Horn)(   6 unit)
%            Number of literals          :   10 (   0 equality)
%            Maximal clause size         :    2
%            Number of predicate symbols :    4 (   0 propositional)
%            Number of function symbols  :    4 (   2 constant)
%            Number of variables         :    5 (   1 singleton)
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause1,theorem,
    [++r(f(X),g(X),X),
     --p(X,f(X))]).

input_clause(clause2,theorem,
    [++p(a,X)]).

input_clause(clause3,theorem,
    [++r(f(a),g(a),a)]).

input_clause(clause4,theorem,
    [++s(f(X),X,X),
     ++l(X)]).

input_clause(clause5,theorem,
    [--s(f(X),X,a)]).

input_clause(clause6,theorem,
    [--s(f(X),X,b)]).

input_clause(clause7,theorem,
    [++l(a)]).

input_clause(clause8,theorem,
    [++l(b)]).
%--------------------------------------------------------------------------
