%--------------------------------------------------------------------------
% File     : SYN306=Decide4-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : 
% English  : 

% Refs     : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York,
%            USA.
% Source   : [Fermueller, et al., 1993]
% Names    : EXAMPLE 3.2.2 [Fermueller, et al., 1993]

% Status   : satisfiable
% Syntax   : Number of clauses           :    6 (   1 non-Horn)(   2 unit)
%            Number of literals          :   10 (   0 equality)
%            Maximal clause size         :    2
%            Number of predicate symbols :    3 (   0 propositional)
%            Number of function symbols  :    4 (   2 constant)
%            Number of variables         :    6 (   3 singleton)
%            Maximal term depth          :    2

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause1,theorem,
    [++p(X),
     ++q(g(X,X))]).

input_clause(clause2,theorem,
    [--q(Y),
     ++r(X,Y)]).

input_clause(clause3,theorem,
    [--r(a,a),
     --r(f(b),a)]).

input_clause(clause4,theorem,
    [++r(f(X),Y)]).

input_clause(clause5,theorem,
    [++p(X),
     --p(f(X))]).

input_clause(clause6,theorem,
    [--p(a)]).
%--------------------------------------------------------------------------
