%--------------------------------------------------------------------------
% File     : SYN309=Decide7-1 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : 
% English  : 

% Refs     : Fermueller C., Leitsch A., Tammet T., Zamov N. (1993),
%            Resolution Methods for the Decision Problem, (Lecture Notes
%            in Artificial Intelligence 679), Springer-Verlag, New York,
%            USA.
% Source   : [Fermueller, et al., 1993]
% Names    : EXAMPLE 7.1 [Fermueller, et al., 1993]

% Status   : unknown
% Syntax   : Number of clauses           :    6 (   3 non-Horn)(   2 unit)
%            Number of literals          :   11 (   0 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    3 (   0 propositional)
%            Number of function symbols  :    7 (   3 constant)
%            Number of variables         :   10 (   0 singleton)
%            Maximal term depth          :    2

% Comments : This set belongs to the AM class [Fermueller, et al., 1993,
%            p. 153].
%--------------------------------------------------------------------------
input_clause(clause1,theorem,
    [++p(f(X),a,g(X)),
     --s(h(X,Y,Z),a,h(X,Y,Z))]).

input_clause(clause2,theorem,
    [++r(f(a),a,b),
     ++s(h(a,Y,Z),b,h(a,Y,Z))]).

input_clause(clause3,theorem,
    [++s(f(X),X,X),
     --p(k(X,Y),k(X,Y),b),
     ++p(f(X),g(X),g(X))]).

input_clause(clause4,theorem,
    [++s(f(X),X,X),
     ++p(f(Y),Y,f(Y))]).

input_clause(clause5,theorem,
    [++p(X,X,X)]).

input_clause(clause6,theorem,
    [++p(a,b,c)]).
%--------------------------------------------------------------------------
