%--------------------------------------------------------------------------
% File     : SYN314=Decide12-1.002:001 : TPTP v1.2.0. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Problem for testing satisfiability
% Version  : 
% English  :

% Refs     : Fermueller C. (1994), Email to Geoff Sutcliffe.
% Source   : [Fermueller, 1994]
% Names    : - [Fermueller, 1994]

% Status   : unsatisfiable
% Syntax   : Number of clauses           :    2 (   1 non-Horn)(   0 unit)
%            Number of literals          :    5 (   0 equality)
%            Maximal clause size         :    3
%            Number of predicate symbols :    1 (   0 propositional)
%            Number of function symbols  :   10 (   1 constant)
%            Number of variables         :    8 (   1 singleton)
%            Maximal term depth          :    2

% Comments : Fermueller claims [1994] that this is "out of range for any
%            prover if n,m>4 or so" (n,m being the two size parameters).
%          : tptp2X: -ftptp -s2:1 SYN314-1.g
%--------------------------------------------------------------------------
input_clause(clause1,theorem,
    [++p(X0,f0(X0),X1,g0(X3)),
     ++p(X0,f1(X1),X2,g1(X3)),
     ++p(X0,f2(X2),X3,g2(X3))]).

input_clause(clause2,theorem,
    [--p(h0,Y0,j0(Y1),Y2),
     --p(h1(Y0),Y1,j1(Y2),Y3)]).
%--------------------------------------------------------------------------
